#ifndef _EDGES_H_
#define _EDGES_H_

#include "treeinterp.h"

typedef struct {
 float x, y;
} GeomPonto2D;

typedef struct {
 float x, y;
 int z;
} GeomPonto3D;

void  ConvolucaoLaplacianadaGaussianaCor(unsigned char *iin, unsigned char *iout, int th);
int   edgedetect(unsigned char *iin, int dx, int dy, float fator, TreeInterpLinha *GeomLinha);
void ExtraiLinha(GeomPonto2D *pontos, int npontos, TreeInterpLinha &l);
void ExtraiLinha(GeomPonto2D *pontos, unsigned char *pesos, int npontos, TreeInterpLinha &l);
void  DesalocaMemoria();

#endif
